Skip to main content
POST
/api/v1/embeddings
input muss ein String oder ein Array von Strings sein. Token-ID-Arrays werden mit HTTP 400 abgelehnt. Bei LangChain OpenAIEmbeddings muss check_embedding_ctx_length=False gesetzt werden.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header

Accept-Encoding
string

Supported compression encodings (gzip, br)

Beispiel:

"gzip, br"

Body

application/json

Create embeddings for the supplied input.

input
erforderlich

Input text to embed, encoded as a string or array of strings. To embed multiple inputs in a single request, pass an array of strings. The input must not exceed the max input tokens for the model (8192 tokens), cannot be an empty string, and any array must contain 2048 items or less. Token arrays are not supported and return HTTP 400. LangChain OpenAIEmbeddings sends token arrays unless you set check_embedding_ctx_length=False.

Minimum string length: 1
Beispiel:

"The quick brown fox jumped over the lazy dog"

model
erforderlich

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

Beispiel:

"text-embedding-bge-m3"

dimensions
integer

The number of dimensions the resulting output embeddings should have.

Erforderlicher Bereich: x >= 1
encoding_format
enum<string>
Standard:float

The format to return the embeddings in. Can be either float or base64.

Verfügbare Optionen:
float,
base64
Beispiel:

"float"

user
string

This is an unused parameter and is discarded by Venice. It is supported solely for API compatibility with OpenAI.

Antwort

OK

data
object[]
erforderlich

The list of embeddings generated by the model.

model
string
erforderlich

The name of the model used to generate the embedding.

object
enum<string>
erforderlich

The object type, which is always "list"

Verfügbare Optionen:
list
usage
object
erforderlich

The usage information for the request.